/* 
 * Zach Mintzer
 * CPE471 Final Project
 */

#pragma once
#ifndef _MAPOBJECT_H_
#define _MAPOBJECT_H_

#ifdef __APPLE__
#include <GLUT/glut.h>
#endif
#ifdef __unix__
#include <GL/glut.h>
#endif
#include "tiny_obj_loader.h"
#include "MatrixStack.h"
#include "GLSL.h"

class MapObject
{
   public:
      MapObject();
      void init(glm::vec3 dim, glm::vec3 loc);
      glm::vec3 getDimensions() const { return dimensions; }
      glm::vec3 getLocation() const { return location; }
      glm::mat4 getMatrix() const { return tMatrix; }
   
   private:
      glm::vec3 dimensions;
      glm::vec3 location;
      glm::mat4 tMatrix;
};

#endif
