varying vec4 vertPosCam;
varying vec3 vertNorCam;

void main()
{
   vec3 fragPos = vec3(vertPosCam.x, vertPosCam.y, vertPosCam.z);
   vec3 cam = vec3(0.0, 0.0, 0.0);

   vec3 n = normalize(vertNorCam);
   vec3 e = normalize(cam - fragPos);

   if (dot(n, e) < 0.25) {
      gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
   }
   else {
      gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0);
   }
}
