attribute vec4 vertPos;
attribute vec3 vertNor;
attribute vec2 vertTexCoords;
uniform mat4 P;
uniform mat4 MV;
uniform mat3 T;
varying vec4 vertPosCam;
varying vec3 vertNorCam;
varying vec2 fragTexCoords;

void main()
{
	gl_Position = P * MV * vertPos;
   vertPosCam = MV * vertPos;

   vec4 nor4 = vec4(vertNor, 0.0);
   vertNorCam = vec3(MV * nor4);

   fragTexCoords = vec2(T * vec3(vertTexCoords, 1.0));
}
